# Uses of Class
org.apache.sling.event.impl.jobs.queues.QueueServices

Packages that use QueueServices
Package
Description
org.apache.sling.event.impl.jobs.queues

## Uses of QueueServices in org.apache.sling.event.impl.jobs.queues

Methods in org.apache.sling.event.impl.jobs.queues with parameters of type QueueServices
Modifier and Type
Method
Description
`static JobQueueImpl`
JobQueueImpl.`createQueue(String name, InternalQueueConfiguration config, QueueServices services, Set<String> topics, Set<String> haltedTopicsBackRef, org.apache.sling.event.impl.jobs.queues.OutdatedJobQueueInfo outdatedQueueInfo)`
Create a new queue.
Constructors in org.apache.sling.event.impl.jobs.queues with parameters of type QueueServices
Modifier
Constructor
Description
`protected`
`JobQueueImpl(String name, InternalQueueConfiguration config, QueueServices services, QueueJobCache cache, org.apache.sling.event.impl.jobs.queues.OutdatedJobQueueInfo outdatedQueue)`
Create a new queue.